<?php 
// Exit if accessed directly
if(!defined('IN_GS')){ die('you cannot load this page directly.'); }

/********************************************************
* Plugin Name:	Afflatus Theme Settings
* Description: 	Configuration options for Afflatus Theme
* Version: 		1.0
* Author: 		Luigi
********************************************************/

#Get correct ID for plugin
$thisplugin	= basename(__FILE__, ".php");
$xmlfile	= GSDATAOTHERPATH .'afflatus_settings.xml';
$theme		= basename($thisplugin, "_settings");

#Add in this plugin's language file
i18n_merge($thisplugin) || i18n_merge($thisplugin, 'en_US');

#Register plugin
register_plugin(
	$thisplugin, 									# ID of plugin, should be filename minus php
	i18n_r($thisplugin.'/PLUGIN_TITLE'), 			# Title of plugin
	'1.0', 											# Version of plugin
	'Luigi',										# Author of plugin
	'http://get-simple.info/extend/a/Luigi', 		# Author URL
	i18n_r($thisplugin.'/PLUGIN_DESC'), 			# Plugin Description
	'theme', 										# Page type of plugin
	'show_settings' 								# Function that displays content
);

#Hooks
#Enable menu at sidebar if this is the active theme or on theme page and activating it, handle plugin exec before global is set
if( 
	( $TEMPLATE == $theme || 	( get_filename_id() == 'theme' && isset($_POST['template']) && $_POST['template'] == $theme) ) &&
	!( $TEMPLATE == $theme && get_filename_id() == 'theme' && isset($_POST['template']) && $_POST['template'] != $theme) 
) {
	add_action('theme-sidebar','createSideMenu',array($thisplugin, i18n_r($thisplugin.'/PLUGIN_TITLE'))); 
}

$settings = array('menu', 'tagline', 'sidebar');

#Get XML data
if (file_exists($xmlfile)) {
	$data = getXML($xmlfile);
}

function show_settings() {
	global $settings, $xmlfile, $thisplugin, $data;
	$success=null;$error=null;

	//Submitted form
	if (isset($_POST['submit'])) {
		foreach($settings as $field){			
			$resp[$field] = $_POST[$field];
		}			
	
		#Save data to XML
		$xml = @new SimpleXMLElement('<settings></settings>');
		foreach($settings as $field){			
			if(isset($resp[$field])) $xml->addChild($field, $resp[$field]);
		}

		if (! $xml->asXML($xmlfile)) {
			$error = i18n_r('CHMOD_ERROR');
			echo '<script>clearNotify();notifyError(\''.$error.'\').popit().removeit();</script>';
		} else {
			$data = getXML($xmlfile);
			$success = i18n_r('SETTINGS_UPDATED');
			echo '<script>clearNotify();notifyOk(\''.$success.'\').popit().removeit();</script>';
		}
	}
?>
		
	<!-- Layout for settings page -->
	<h3><?php i18n($thisplugin.'/PLUGIN_TITLE'); ?></h3>
	<p><?php i18n($thisplugin.'/PLUGIN_DESC'); ?>.</p>

	<form method="post" action="<?php	echo $_SERVER ['REQUEST_URI']?>">
		<div class="leftsec">
			<p>
				<label for="menu"><?php i18n($thisplugin.'/MENU_POSITION'); ?>:</label>
				<input name="menu" type="radio" value="0" <?php if ($data->menu == '0') echo 'checked="checked"'; ?> style="vertical-align: middle;" />&nbsp;<?php i18n($thisplugin.'/TOP'); ?>
				<span style="margin-left: 15px;">&nbsp;</span>
				<input name="menu" type="radio" value="1" <?php if ($data->menu == '1') echo 'checked="checked"'; ?> style="vertical-align: middle;" />&nbsp;<?php i18n($thisplugin.'/SIDEBAR'); ?>
				<span style="margin-left: 15px;">&nbsp;</span>
				<input name="menu" type="radio" value="2" <?php if ($data->menu == '2' || $data->menu == null) echo 'checked="checked"'; ?> style="vertical-align: middle;" />&nbsp;<?php i18n($thisplugin.'/BOTH'); ?>
			</p>
			<p style="color: #999;font-size: 12px;margin-top: -15px;"><?php i18n($thisplugin.'/MENU_TIP'); ?></p>
		</div>
		<div class="rightsec">
			<p>
				<label for="sidebar"><?php i18n($thisplugin.'/SIDEBAR_POSITION'); ?>:</label>
				<input name="sidebar" type="radio" value="0" <?php if ($data->sidebar == '0' || $data->sidebar == null) echo 'checked="checked"'; ?> style="vertical-align: middle;" />&nbsp;<?php i18n($thisplugin.'/LEFT'); ?>
				<span style="margin-left: 15px;">&nbsp;</span>
				<input name="sidebar" type="radio" value="1" <?php if ($data->sidebar == '1') echo 'checked="checked"'; ?> style="vertical-align: middle;" />&nbsp;<?php i18n($thisplugin.'/RIGHT'); ?>
			</p>
			<p style="color: #999;font-size: 12px;margin-top: -15px;"><?php i18n($thisplugin.'/SIDEBAR_TIP'); ?></p>
		</div>
		<div class="clear"></div>
		<div>
			<p>
				<label for="tagline"><?php i18n($thisplugin.'/TAGLINE_POSITION'); ?>:</label>
				<input name="tagline" type="radio" value="0" <?php if ($data->tagline == '0' || $data->tagline == null) echo 'checked="checked"'; ?> style="vertical-align: middle;" />&nbsp;<?php i18n($thisplugin.'/UNDER_SITE_NAME'); ?>
				<span style="margin-left: 15px;">&nbsp;</span>
				<input name="tagline" type="radio" value="1" <?php if ($data->tagline == '1') echo 'checked="checked"'; ?> style="vertical-align: middle;" />&nbsp;<?php i18n($thisplugin.'/NEXT_SITE_NAME'); ?>
				<span style="margin-left: 15px;">&nbsp;</span>
				<input name="tagline" type="radio" value="2" <?php if ($data->tagline == '2') echo 'checked="checked"'; ?> style="vertical-align: middle;" />&nbsp;<?php i18n($thisplugin.'/NONE'); ?>
			</p>
			<p style="color: #999;font-size: 12px;margin-top: -15px;"><?php i18n($thisplugin.'/TAGLINE_TIP'); ?></p>
		</div>
		<div class="clear"></div>
		<div style="margin-top:20px;">
			<input class="submit" type="submit" name="submit" value="<?php i18n($thisplugin.'/SAVE_SETTINGS'); ?>" />
		</div>
	</form>

<?php

}
